Reference
Edit workspace
Rename the workspace or change its timezone / language.
View MarkdownThis page is generated from the source code on every release.
Rename the workspace or change its timezone / language.
Overview
| Name | Value |
|---|---|
| Code | workspace.update |
| New code (v2) | workspaces.update |
| Scope needed | members.manage |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
Needs Idempotency-Key |
No |
| Member roles allowed | owner, manager |
| In the app | Settings → Workspace |
Input fields
| Field | Type | Required | Description |
|---|---|---|---|
name |
text |
Yes | |
timezone |
text |
Yes | |
language |
"vi" | "en" |
Yes |
Example request
curl -X POST https://tlg.builera.app/api/public/v2/ops/workspace.update \
-H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"…","timezone":"…","language":"vi"}'Output fields (data)
| Field | Type | Required |
|---|---|---|
ok |
true |
Yes |
Example answer
{
"data": {
"ok": true
}
}Using it over MCP
Not listed on any profile: call tools_describe then tools_run with code: "workspace.update". Tool name when listed: workspace_update.